//----------------------------------------------------------------------------
#ifndef ResolutionFormH
#define ResolutionFormH
//----------------------------------------------------------------------------
#include <vcl\System.hpp>
#include <vcl\Windows.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
#include <ComCtrls.hpp>

#include <d3dx8.h>
#include <jpeg.hpp>
//----------------------------------------------------------------------------
class TResForm : public TForm
{
__published:        
	TButton *OKBtn;
    TGroupBox *GroupBox1;
    TLabel *Label2;
    TComboBox *ComboBox1;
    TCheckBox *FullScreenCheckBox;
    TGroupBox *GroupBox2;
    TTrackBar *DrawHeightTrackBar;
    TTrackBar *DrawWidthTrackBar;
    TLabel *Label1;
    TLabel *Label3;
    TLabel *Label4;
    TLabel *Label5;
    TLabel *Label6;
    TLabel *Label7;
    TGroupBox *GroupBox3;
    TCheckBox *DaytimeCheckbox;
    TLabel *WidthText;
    TLabel *HeightText;
    TGroupBox *GroupBox4;
    TTrackBar *RainDensityTrackBar;
    TLabel *Label8;
    TLabel *DensityText;
    TTrackBar *RainHeightTrackBar;
    TLabel *Label9;
    TLabel *RainHeightText;
    TGroupBox *GroupBox5;
    TTrackBar *WindSpeedTrackBar;
    TLabel *Label10;
    TLabel *WindSpeedText;
    TTrackBar *WindDirectionTrackBar;
    TLabel *Label11;
    TLabel *DirectionText;
    TImage *Circle;
    TImage *Title;
    void __fastcall OKBtnClick(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall DrawWidthTrackBarChange(TObject *Sender);
    void __fastcall DrawHeightTrackBarChange(TObject *Sender);
    void __fastcall RainDensityTrackBarChange(TObject *Sender);
    void __fastcall RainHeightTrackBarChange(TObject *Sender);
    void __fastcall WindSpeedTrackBarChange(TObject *Sender);
    void __fastcall WindDirectionTrackBarChange(TObject *Sender);
    void __fastcall FormActivate(TObject *Sender);
    void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
private:
public:
    D3DXVECTOR3 wind_dir;

    BOOL FirstInit;

	virtual __fastcall TResForm(TComponent* AOwner);
};
//----------------------------------------------------------------------------
extern PACKAGE TResForm *ResForm;
//----------------------------------------------------------------------------
#endif    
