//---------------------------------------------------------------------------
#ifndef ZephyrH
#define ZephyrH

#include <d3dx8.h>
#include "Vertex.h"
#include "Terra.h"
#include "Ignis.h"
#include "Aqua.h"
#include "Sound.h"

class Zephyr
{
public:

    Zephyr();
    ~Zephyr();

    int Initialize(Terra *t,Ignis *i,Aqua *a);
    void Update(float MoveSpeed);

    D3DXVECTOR3 WindDirection;  //normalized wind direction
    float Speed;

    long WindSound;

    Terra *Earth;
    Ignis *Fire;
    Aqua *Water;
};

//---------------------------------------------------------------------------
#endif
